
 LinHES - Bug # 855: sapphire module not loading - blacklist hid-topseed not working

Status: No user feedback Priority: Normal
Author: nickrout Category: Packages: Core
Created: 10/21/2012 Assignee: cecil
Updated: 10/16/2014 Due date:
Description: I have a sapphire remote http://rtr.ca/sapphire_remote/ and was pleased to see LinHES has a package and 

module for it. Great remote by the way.

To make it work the system needs to blacklist hid_topseed so that sapphire.ko will load. When I installed 
LinHES 7.3 the sapphire module seemed to load fine, so I assume blacklisting was working.

However I have updated to 7.4 and now it is not. hid_topseed loads on boot, and the remote doesn't work 
well. The file /etc/modprobe.d/blacklist-hid_topseed.conf seems to be right:

<pre>
    cat /etc/modprobe.d/blacklist-hid_topseed.conf
    ## hid_topseed Conflicts with sapphire driver
    blacklist hid_topseed

</pre>

I have temporarily solved this by /sbin/modprobe -r hid_topseed followed by /sbin/modprobe sapphire in 
/etc/rc.local, but I would love to figure out what went wrong and how I can fix it. I have read that if the module 
is in the initramfs then blacklisting won't work, but I am unsure if this is relevant because I don't know how to 
check what is in the initramfs.

History
10/21/2012 11:51 pm - cecil
- Assignee set to cecil

- Category set to Packages: Core

Odd as I regularly use the Sapphire and have no issues with it and other modules. Will look into it.

10/22/2012 12:01 am - nickrout
cecil wrote:
> Odd as I regularly use the Sapphire and have no issues with it and other modules. Will look into it.

That would be why the module got in there in the first place I guess :)

Maybe I have done something terribly wrong. I do tend to play, but can't think of anything I have done to change the kernel or the initramfs or anything 
else that appears relevant.

Also have now noticed that the rc.local thing only appears to work on every second boot.

Weird. I'll have to never reboot, not much of a fix really.

If you find anything, I'll be pleased to know. If you want me to check anything, give me a yell!

08/27/2013 09:35 am - brfransen
- Status changed from New to Feedback

07/15/2025 1/2



Is this still a issue in R8?

10/16/2014 06:46 am - brfransen
- Status changed from Feedback to No user feedback
